using System;
using System.Collections.Generic;
using System.Text;
using Guushuuse.SalaryPrj.HR.Dao;
using Guushuuse.SalaryPrj.HR.DomainModel;
using System.Collections;
using Spring.Transaction.Interceptor;

namespace Guushuuse.SalaryPrj.HR.Service
{
    /// <summary>
    /// ŷ
    /// </summary>
    public class DeptService : IDeptService
    {        
        private IDeptDao _deptDao;

        public IDeptDao DeptDao
        {
            get { return _deptDao; }
            set { _deptDao = value; }
        }

        public DeptService()
        {

        }

        [Transaction(ReadOnly = false)]
        public void CreateDept(Dept dept)
        {
            _deptDao.CreateDept(dept);
        }

        [Transaction(ReadOnly = false)]
        public void UpdateDept(Dept dept)
        {
            _deptDao.UpdateDept(dept);
        }

        [Transaction(ReadOnly = false)]
        public void DeleteDept(Dept dept)
        {
            _deptDao.DeleteDept(dept);
        }

        public IList GetAllDepts()
        {
            return _deptDao.GetAllDepts();
        }

        public Dept GetDept(int deptID)
        {
            return _deptDao.GetDept(deptID);
        }
    }
}
