using System;
using System.Collections.Generic;
using System.Text;
using Guushuuse.SalaryPrj.HR.Dao;
using Guushuuse.SalaryPrj.HR.DomainModel;
using System.Collections;
using Spring.Transaction.Interceptor;

namespace Guushuuse.SalaryPrj.HR.Service
{
    /// <summary>
    /// Ա
    /// </summary>
    public class EmployeeService : IEmployeeService
    {        
        private IEmployeeDao _employeeDao;

        public IEmployeeDao EmployeeDao
        {
            get { return _employeeDao; }
            set { _employeeDao = value; }
        }

        public EmployeeService()
        {

        }

        [Transaction(ReadOnly = false)]
        public void CreateEmployee(Employee employee)
        {
            _employeeDao.CreateEmployee(employee);
        }

        [Transaction(ReadOnly = false)]
        public void UpdateEmployee(Employee employee)
        {
            _employeeDao.UpdateEmployee(employee);
        }

        [Transaction(ReadOnly = false)]
        public void DeleteEmployee(Employee employee)
        {
            _employeeDao.DeleteEmployee(employee);
        }

        public IList GetAllEmployees()
        {
            return _employeeDao.GetAllEmployees();
        }

        public Employee GetEmployee(int employeeID)
        {
            return _employeeDao.GetEmployee(employeeID);
        }
    }
}
