using System;
using System.Collections.Generic;
using System.Text;
using Spring.Context;
using Spring.Context.Support;

namespace Guushuuse.SalaryPrj.HR.Service
{
    /// <summary>
    /// λ
    /// </summary>
    public class ServiceLocator
    {
        private static IApplicationContext _ctx;

        static ServiceLocator()
        {
            _ctx = ContextRegistry.GetContext();
        }

        public static IDeptService DeptService
        {
            get
            {
                IDeptService deptService = _ctx["deptService"] as IDeptService;

                return deptService;
            }
        }

        public static IEmployeeService EmployeeService
        {
            get
            {
                IEmployeeService employeeService = _ctx["employeeService"] as IEmployeeService;

                return employeeService;
            }
        }
    }
}
