using System;
using System.Collections.Generic;
using System.Text;
using Guushuuse.SalaryPrj.Security.Dao;
using Spring.Transaction.Interceptor;
using Guushuuse.SalaryPrj.Security.DomainModel;

namespace Guushuuse.SalaryPrj.Security.Service
{
    /// <summary>
    /// Ӧó
    /// </summary>
    public class ApplicationService : IApplicationService
    {
        private IApplicationDao _applicationDao;

        public IApplicationDao ApplicationDao
        {
            get { return _applicationDao; }
            set { _applicationDao = value; }
        }

        [Transaction(ReadOnly = false)]
        public int CreateApplication(string applicationName)
        {
            Application application = new Application();
            application.Name = applicationName;

            _applicationDao.CreateApplication(application);

            if (application.ID > 0)
            {
                return 0;
            }
            else
            {
                return 1;
            }

        }

        public Application GetApplication(string applicationName)
        {
            return _applicationDao.GetApplication(applicationName);
        }

        public bool ApplicationExists(string applicationName)
        {
            Application application = _applicationDao.GetApplication(applicationName);

            if (application != null)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
    }
}
