﻿<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true"
    CodeFile="Users.aspx.cs" Inherits="Users" %>

<asp:Content ID="LeftColumnContent" ContentPlaceHolderID="LeftColumnZone" runat="server">
</asp:Content>
<asp:Content ID="MiddleColumnContent" ContentPlaceHolderID="MiddleColumnZone" runat="server">
    <asp:Panel ID="Panel1" runat="server" GroupingText="用户列表">
        <br />
        <asp:GridView ID="GridView1" runat="server" DataSourceID="ObjectDataSource1" DataKeyNames="UserName"
            AutoGenerateColumns="False" Width="100%" OnRowCommand="GridView1_RowCommand">
            <Columns>
                <asp:BoundField HeaderText="登录名" DataField="UserName" ReadOnly="true" />
                <asp:HyperLinkField HeaderText="电子邮件地址" DataTextField="Email" DataNavigateUrlFormatString="mailto:{0}"
                    DataNavigateUrlFields="Email" />
                <asp:BoundField HeaderText="创建时间" DataField="CreationDate" DataFormatString="{0:MM/dd/yy h:mm tt}"
                    ReadOnly="true" />
                <asp:BoundField HeaderText="活动时间" DataField="LastActivityDate" DataFormatString="{0:MM/dd/yy h:mm tt}"
                    ReadOnly="true" />
                <asp:CheckBoxField HeaderText="审核" DataField="IsApproved" HeaderStyle-HorizontalAlign="Center"
                    ItemStyle-HorizontalAlign="Center" />
                <asp:TemplateField>
                    <ItemTemplate>
                        <div style="width: 100%; text-align: right;">
                            <asp:LinkButton ID="btnEdit" CommandName="Edit" runat="server">编辑</asp:LinkButton>
                            <asp:LinkButton ID="btnDelete" CommandName="Delete" runat="server" OnClientClick="return confirm('您真的要删除吗?')">删除</asp:LinkButton>
                        </div>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <div style="width: 100%; text-align: right;">
                            <asp:Button ID="btnUpdate" runat="server" CommandName="UpdateUser" CommandArgument="<%# Container.DataItemIndex %>"
                                Text="更新" />
                            <asp:Button ID="btnCancel" runat="server" CommandName="Cancel" Text="取消" />
                        </div>
                    </EditItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
    </asp:Panel>
    <hr />
    <asp:Panel ID="Panel2" runat="server" GroupingText="新增部用户">
        <br />
        <asp:CreateUserWizard ID="CreateUserWizard1" runat="server" ContinueDestinationPageUrl="~/Users.aspx"
            DisableCreatedUser="True" EmailRegularExpression="" EmailRegularExpressionErrorMessage="">
        </asp:CreateUserWizard>
    </asp:Panel>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" TypeName="System.Web.Security.Membership"
        SelectMethod="GetAllUsers" DeleteMethod="DeleteUser"></asp:ObjectDataSource>
</asp:Content>
