﻿using System;
using Guushuuse.SalaryPrj.HR.DomainModel;
using Guushuuse.SalaryPrj.HR.Dao;
using System.Collections;

namespace Guushuuse.SalaryPrj.HR.Service
{
    /// <summary>
    /// 员工服务接口
    /// </summary>
    public interface IEmployeeService
    {
        void CreateEmployee(Employee employee);
        void DeleteEmployee(Employee employee);
        IEmployeeDao EmployeeDao { get; set; }
        IList GetAllEmployees();
        Employee GetEmployee(int employeeID);
        void UpdateEmployee(Employee employee);
    }
}
