﻿using System;
using Guushuuse.SalaryPrj.Security.DomainModel;
using System.Collections;

namespace Guushuuse.SalaryPrj.Security.Dao
{
    /// <summary>
    /// 应用程序数据访问接口
    /// </summary>
    public interface IApplicationDao
    {
        void CreateApplication(Application application);
        void DeleteApplication(Application application);
        IList GetAllApplications();
        Application GetApplication(int applicationID);
        Application GetApplication(string applicationName);
        void UpdateApplication(Application application);
    }
}
