﻿using System;
using Guushuuse.SalaryPrj.Security.DomainModel;
using System.Collections;

namespace Guushuuse.SalaryPrj.Security.Dao
{
    /// <summary>
    /// 角色数据访问接口
    /// </summary>
    public interface IRoleDao
    {
        void CreateRole(Role role);
        void DeleteRole(Role role);
        IList GetAllRoles();
        Role GetRole(int roleID);
        Role GetRole(Application application, string roleName);
        IList GetRoles(Application application);
        void UpdateRole(Role role);
    }
}
