﻿using System;
using Guushuuse.SalaryPrj.Security.Dao;
using Guushuuse.SalaryPrj.Security.DomainModel;

namespace Guushuuse.SalaryPrj.Security.Service
{
    /// <summary>
    /// 应用程序服务接口
    /// </summary>
    public interface IApplicationService
    {
        IApplicationDao ApplicationDao { get; set; }
        bool ApplicationExists(string applicationName);
        int CreateApplication(string applicationName);
        Application GetApplication(string applicationName);
    }
}
