﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Roles : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            BindRoles();
        }
    }

    protected void btnAddRole_Click(object sender, EventArgs e)
    {
        System.Web.Security.Roles.CreateRole(txtRoleName.Text);

        BindRoles();
    }

    private void BindRoles()
    {
        lstRoles.Items.Clear();

        string[] roles = System.Web.Security.Roles.GetAllRoles();

        if (roles != null)
        {
            foreach (string role in roles)
            {
                lstRoles.Items.Add(role);
            }
        }
    }
}
